Bug 855930 - kde-runtime too many dependencies (on a GNOME desktop)
kde-runtime too many dependencies (on a GNOME desktop)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-runtime (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 12:12 EDT by Gerald Pfeifer
Modified: 2013-08-01 07:58 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:58:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of yum install digikam (24.12 KB, text/plain)
2012-09-10 12:12 EDT, Gerald Pfeifer
no flags Details

  None (edit)
Description Gerald Pfeifer 2012-09-10 12:12:05 EDT
Created attachment 611484 [details]
Output of yum install digikam

Description of problem:
Running a GNOME desktop, I added digikam to a system of mine.  What
I found is that digikam also pulls in
 - atlas (a math library),
 - perl,
 - htdig (a full search engine),
 - libgfortran,
 - openslp,
 - udisks and many others.

Version-Release number of selected component (if applicable):
digikam-2.7.0-1.fc17

How reproducible:
Always.

Steps to Reproduce:
1. yum install digikam
2. Observe the output (also attached)
Comment 1 Gerald Pfeifer 2012-09-10 12:13:48 EDT
Note this aspect:

  Total size: 138 M
  Total download size: 134 M
  Installed size: 403 M

400MB are quite heavy.
Comment 2 Rex Dieter 2012-09-10 13:58:12 EDT
Note most (or all) of what you mention comes from kdelibs/kde-runtime, which is, as the name suggests, a standard set of runtime libraries (and dependencies) that most non-trivial kde applications expect to be present for full functionality.

It may indeed come as a bit of a shock if you install but a single kde  application (like digikam) on a box that has no kde applications yet.

some of the deps you mention are direct digikam dependencies, including:
atlas (and libgfortran)

That's not to say that kde-runtime couldn't be pruned *some* perhaps, but I'd venture there's not a significant amount fat to trim.
Comment 3 Gerald Pfeifer 2012-10-28 18:28:24 EDT
Thanks for the background, Rex.  I understand the situation in general
(I think), but am wondering whether some of the dependencies could be
made optional?
Comment 4 Rex Dieter 2012-10-29 00:45:13 EDT
you'll have to be more specific, if you're asking about making particular items optional. otherwise, in general, that really is the generally accepted minimal runtime for fully-featured kde applications.
Comment 5 Gerald Pfeifer 2012-10-29 05:41:45 EDT
I'm not so deep in KDE packaging, but some proposals:

1. htdig.  I don't have this on my openSUSE system, and Digikam works
   just fine there, for example.  (This comes from kde-runtime.)

2. kdepimlibs.  On other distros this is only required for kdepim4-runtime
   and kopete and I could remove it there when I just tested it (and still
   have a working Digikam).

3. openslp.

4. atlas.  Not present on my openSUSE system, for example.

5. Is the whole perl stack really necessary?  I assume these are just
   some scripts in Digikam using them, not the main app?  (Something
   that could be broken out, as subpackage of Digikam?)
Comment 6 Lukáš Tinkl 2012-10-29 06:57:30 EDT
openSUSE?
Comment 7 Rex Dieter 2012-10-29 07:10:24 EDT
1.. htdig:  (used to be?) needed for searching application handbooks, ie, help -> digikam handbook

2. there are several libraries kde-runtime uses from kdepimlibs,  either those distros have kde-runtime split somehow or a not-fully-featured kde-runtime.  I'll look more into it.

3. openslp is only 130k, not going to worry about that one (not worth it)

4. digikam uses this directly on fedora, instead of clapack

5. yes, kde requires perl


Come to think of it, I had been considering making kio-smb support optional (ie, avoid dragging in libsmbclient and friends)
Comment 8 Rex Dieter 2012-10-29 09:19:38 EDT
I looked at things closer:

1.  htdig could be made optional (ie, installed by default, but not required via hard depenencies)

2.  looks like KDEPIMLIBS_KXMLRPCCLIENT_LIBRARY is pulled in only for drkonqi, so I'll consider packaging drkonqi in a subpkg (and treat it similarly as htdig above).  this is probably what your "other" distros have done.

3.  investigate implications of packaging kio-smb separately as well.
Comment 9 Fedora End Of Life 2013-07-03 23:49:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Gerald Pfeifer 2013-07-06 14:01:12 EDT
I can confirm that htdig no longer is  hard dependency.  Thanks!

Rex, can you indicate whether you or others made other changes
and then close this as RESOLVED?  Or are there steps you'll still
want to take?
Comment 11 Fedora End Of Life 2013-08-01 07:58:49 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.